import sys
import locale
from PyQt5.QtCore import Qt
from PyQt5.QtGui import QKeySequence
from PyQt5.QtWidgets import QApplication, QMainWindow, QShortcut
from PyQt5.uic import loadUiType

currency = lambda v: locale.currency(v, grouping = True)

Ui_MainWindow, QtBaseClass = loadUiType('taxrate.ui')

class TaxRate(QMainWindow, Ui_MainWindow):
    def __init__(self):
        QMainWindow.__init__(self)
        Ui_MainWindow.__init__(self)
        self.setupUi(self)
        self.amountBox.valueChanged.connect(self.calculateTax)
        self.rateBox.valueChanged.connect(self.calculateTax)
        QShortcut(QKeySequence(Qt.CTRL + Qt.Key_Q), self, self.close)

    def calculateTax(self):
        amount = self.amountBox.value()
        if amount != 0.0:
            rate = self.rateBox.value() / 100.0
            tax = amount * rate
            self.grossBox.setText(currency(amount + tax))
            self.taxBox.setText(currency(tax))
        else:
            self.grossBox.setText('')
            self.taxBox.setText('')

if __name__ == '__main__':
    print(locale.setlocale(locale.LC_ALL, ''))
    app = QApplication(sys.argv)
    window = TaxRate()
    window.show()
    sys.exit(app.exec_())
